Bug 821845 - Review Request: erlang-egeoip - Erlang IP Geolocation module
Review Request: erlang-egeoip - Erlang IP Geolocation module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 10:58 EDT by Peter Lemenkov
Modified: 2012-06-22 11:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 19:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-15 10:58:16 EDT
Spec URL: http://peter.fedorapeople.org/erlang-egeoip.spec
SRPM URL: http://peter.fedorapeople.org/erlang-egeoip-0-0.2.20111025git45c32ad.fc18.src.rpm
Description: Erlang IP Geolocation module, currently supporting the MaxMind GeoLite City Database.

Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4078818

rpmlit report:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-egeoip-0-0.2.20111025git45c32ad.fc18.ppc.rpm ../SRPMS/erlang-egeoip-0-0.2.20111025git45c32ad.fc18.src.rpm 
erlang-egeoip.ppc: E: explicit-lib-dependency erlang-stdlib

^^^ this one is a false positive (stdlib as a trigger)

erlang-egeoip.ppc: E: no-binary
erlang-egeoip.ppc: W: only-non-binary-in-usr-lib

^^^ this one is tricky. All erlang packages must be installed into
%{_libdir}/erlang/lib so despite of the fact that some of them contains only
arch-independent data they all must be build as arch-dependent. I plan to fix
than but I wouldn't hold my breath.

erlang-egeoip.src: W: invalid-url Source0: mochi-egeoip-45c32ad.tar.gz

^^^ blame github for that, not me.

2 packages and 0 specfiles checked; 2 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:

This is a popular (among fellow erlangers) Geolocation Erlang library. Note - content license is originally named ad "Open Data License". AFAIK it looks like BSD with advertising, but IANAL.
Comment 1 Peter Lemenkov 2012-05-15 11:00:00 EDT
Cast wizards - raise magic FE-Legal flag.
Comment 2 Tom "spot" Callaway 2012-05-25 15:15:51 EDT
Thats a fun new variant of BSD with advertising. Just add "BSD with advertising" to the License: tag in the package. Lifting FE-Legal.
Comment 3 Peter Lemenkov 2012-05-26 10:13:32 EDT
(In reply to comment #2)
> Thats a fun new variant of BSD with advertising. Just add "BSD with
> advertising" to the License: tag in the package. Lifting FE-Legal.

Thanks!
Comment 4 Michel Alexandre Salim 2012-06-07 00:31:43 EDT
Taking this review
Comment 5 Michel Alexandre Salim 2012-06-07 00:53:53 EDT
full review below. Some notes:

- could you make the build more verbose (by passing REBAR_FLAGS="-v" ?)
- the comment regarding the Open Data license needs to be updated -- probably remove the AFAIK and IANAL part since spot and the legal team has reviewed it
- defattr needs removing

You can fix that when importing though. The rest are the same RHEL-related issues discussed in previous reviews.

APPROVED


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
     No meaningful tests are shipped with the package
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
Build needs to be made more verbose - pass -v as REBAR_FLAGS
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Peter Lemenkov 2012-06-07 04:16:22 EDT
(In reply to comment #5)
> full review below. Some notes:
> 
> - could you make the build more verbose (by passing REBAR_FLAGS="-v" ?)
> - the comment regarding the Open Data license needs to be updated --
> probably remove the AFAIK and IANAL part since spot and the legal team has
> reviewed it
> - defattr needs removing

All done, and thanks for the review!

Updated packages:

* http://peter.fedorapeople.org/erlang-egeoip.spec
* http://peter.fedorapeople.org/erlang-egeoip-0-0.3.20111025git45c32ad.fc18.src.rpm

Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4135307



New Package SCM Request
=======================
Package Name: erlang-egeoip
Short Description: Erlang IP Geolocation module
Owners: peter
Branches: f16 f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-07 08:22:01 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-07 09:27:25 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-egeoip-0-0.3.20111025git45c32ad.fc16
Comment 9 Fedora Update System 2012-06-07 09:27:38 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-egeoip-0-0.3.20111025git45c32ad.el6
Comment 10 Fedora Update System 2012-06-07 09:27:49 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-egeoip-0-0.3.20111025git45c32ad.fc17
Comment 11 Fedora Update System 2012-06-07 14:01:11 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-06-16 19:57:08 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-16 19:59:08 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-06-22 11:59:49 EDT
erlang-egeoip-0-0.3.20111025git45c32ad.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.